  icp_odometry:
    ros__parameters:
      wait_for_transform: 0.2
      expected_update_rate: 15.0
      wait_imu_to_init: true

      Icp/PointToPlane: "true"
      Icp/Iterations: "15"
      Icp/VoxelSize: "0.1"
      Icp/Epsilon: "0.001"
      Icp/PointToPlaneK: "20"
      Icp/PointToPlaneRadius: "0"
      Icp/MaxTranslation: "3"
      Icp/MaxRotation: "1.6"
      Icp/MaxCorrespondenceDistance: "1.5"
      Icp/Strategy: "1"
      Icp/OutlierRatio: "0.7"
      Icp/CorrespondenceRatio: "0.01"
      Icp/PointToPlaneGroundNormalsUp: "0.9"

      Odom/ScanKeyFrameThr: "0.4"

      OdomF2M/ScanSubtractRadius: "0.1"
      OdomF2M/ScanMaxSize: "15000"
      OdomF2M/BundleAdjustment: "false"

  rtabmap:
    ros__parameters:
      subscribe_depth: false
      subscribe_rgb: false
      subscribe_scan_cloud: true
      approx_sync: true
      wait_for_transform: 0.2

      odom_tf_linear_variance: 1e-2
      odom_tf_angular_variance: 1e-2

      Rtabmap/DetectionRate: "1"

      RGBD/ProximityMaxGraphDepth: "0"
      RGBD/ProximityPathMaxNeighbors: "1"
      RGBD/AngularUpdate: "0.05"
      RGBD/LinearUpdate: "0.05"
      RGBD/CreateOccupancyGrid: "false"

      Mem/NotLinkedNodesKept: "false"
      Mem/STMSize: "30"
      Mem/LaserScanNormalK: "20"

      Reg/Strategy: "1"

      Icp/VoxelSize: "0.1"
      Icp/PointToPlaneK: "20"
      Icp/PointToPlaneRadius: "0"
      Icp/PointToPlane: "true"
      Icp/Iterations: "25"
      Icp/Epsilon: "0.001"
      Icp/MaxTranslation: "3"
      Icp/MaxRotation: "1.6"
      Icp/MaxCorrespondenceDistance: "0.5"
      Icp/Strategy: "1"
      Icp/OutlierRatio: "0.7"
      Icp/CorrespondenceRatio: "0.2"
